org.eclnt.jsfserver.util

## Class StyleManager.StyleTagInfo

- java.lang.Object
- - org.eclnt.jsfserver.util.StyleManager.StyleTagInfo

- Enclosing class:
    StyleManager

      public static class StyleManager.StyleTagInfo
      extends java.lang.Object

  Style information for a tag.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `StyleTagInfo(StyleManager.Style style, StyleManager.StyleVariant variant, java.lang.String tagName)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Map<java.lang.String,StyleManager.StyleAttributeValue>` | `getAttributes()`
    `boolean` | `getExtendsParentTag()`
    `java.lang.String` | `getExtendsTag()`
    `java.lang.String` | `getExtendsVariant()`
    `java.lang.String` | `getTagName()`
    `java.util.Map<java.lang.String,java.lang.String>` | `getValueMap()`
    `void` | `setExtendsParentTag(boolean value)`
    `void` | `setExtendsParentTag(java.lang.String value)`
    `void` | `setExtendsTag(java.lang.String value)`
    `void` | `setExtendsVariant(java.lang.String value)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StyleTagInfo

          public StyleTagInfo(StyleManager.Style style,
                              StyleManager.StyleVariant variant,
                              java.lang.String tagName)

  - ### Method Detail

    - #### getTagName

          public java.lang.String getTagName()

    - #### setExtendsParentTag

          public void setExtendsParentTag(java.lang.String value)

    - #### setExtendsParentTag

          public void setExtendsParentTag(boolean value)

    - #### setExtendsTag

          public void setExtendsTag(java.lang.String value)

    - #### setExtendsVariant

          public void setExtendsVariant(java.lang.String value)

    - #### getExtendsParentTag

          public boolean getExtendsParentTag()

    - #### getExtendsTag

          public java.lang.String getExtendsTag()

    - #### getExtendsVariant

          public java.lang.String getExtendsVariant()

    - #### getAttributes

          public java.util.Map<java.lang.String,StyleManager.StyleAttributeValue> getAttributes()

      Returns:
        Map - for each attribute that provides style information there is a corresponding map item.

    - #### getValueMap

          public java.util.Map<java.lang.String,java.lang.String> getValueMap()

Copyright © CaptainCasa Gmbh. All Rights Reserved.